=== tests/QtSvg/CMakeLists.txt ===
PYSIDE_TEST(qsvggenerator_test.py)
