=== debian/changelog ===
pyside (0.4.1-0ubuntu1) maverick; urgency=low

  * New 0.4.1 upstream release. (LP: #648612)
    - Add some 0.4.1 symbols.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh

  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

 -- Didier Raboud <didier@raboud.com>  Mon, 27 Sep 2010 21:01:06 +0200

pyside (0.4.0-2) experimental; urgency=low

  [ Didier Raboud ]
  * Bump shiboken B-D to 0.4.0-1~exp1 and add libapiextractor-dev 0.7.0-1~exp2
    as it fixes a test segfault (upstream bug: #243).

  * Patches:
   - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Import from upstream to fix a missing method in QtCore.
      (upstream bug: #303)
   - u_268bf77_fixed_signal_signature_parser.patch
      Import from upstream to fix the incorrect signal signatures
      (upstream bug: #311)

  * debian/rules: Make sure libpyside0.4 and libpyside-dev get the correctly
    versioned symlinks
  * debian/control: Vcs-Browser: Use viewsvn instead of wsvn.
  * Add debian/dh_pycmakedeps to automagically compute the module
    dependencies.

  [ Piotr Ożarowski ]
  * Set DMUA flag to yes

 -- Didier Raboud <didier@raboud.com>  Sun, 05 Sep 2010 12:33:37 +0200

pyside (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release (Closes: #591981)
    - Various QtGui fixes (Closes: #588556, #588558)
    - Bump generatorrunner B-D to 0.6.0
    - Bump shiboken B-D to 0.4.0
    - libpyside SONAME bumped to 0.4, update symbols file

  * Patches:
    - u_5ce7c94_fix_qtnetwork_udpsocket_test.patch
       Drop, was from upstream
    - u_86d0f67_fix_debug_build.patch
       Drop, was from upstream
    - fixTests.patch
       Drop as upstream changed the tests handling completely
    + u_c130273_fix_py25_QtScript_property.patch
       Import from upstream to fix the QtScript_property test on python2.5
       (upstream bug #284)
    × Refresh the others

  * Remove custom cmake files in favour of cmake-data's.
   - Remove debian/cmake/*.
   - Bump cmake B-D to 2.8.2
   - Bump libshiboken-dev B-D to 0.3.2-3
   - Adapt debian/rules.
   - Remove mentions of the BSD license of cmake in debian/copyright
  * Remove debian/pyversions, which duplicates information from
    debian/control.
  * Put the cmake config and pkg-config file in libpyside-dev, add necessary
    Breaks/Replaces.
  * Install the typesystem files in libpyside-dev.
  * Bump Standards to 3.9.1.0 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 17 Aug 2010 21:03:14 +0200

pyside (0.3.2-3) unstable; urgency=low

  * Patches:
    + u_5ce7c94_fix_qtnetwork_udpsocket_test.patch (upstream)
      This fixes the QtNetwork_udpsocket test to work on offline
      machines, like our buildds.
    + u_86d0f67_fix_debug_build.patch (upstream)
      This fixes the debug build.
    + usePySpecificShiboken.patch
      This ensures that the correct python version is used consistantly.
    × Refresh lessBuildVerbosity.patch
    × Refresh fixTests.patch to remove the meaningless testnumbers.

  * Add shiboken-dbg version-specific B-D.

 -- Didier Raboud <didier@raboud.com>  Fri, 25 Jun 2010 16:41:32 +0200

pyside (0.3.2-2) unstable; urgency=low

  * Run all tests but don't make them critical.
    - Update fixTests.patch to allow all tests.
  
  * Reduce the build log size by forcing CMAKE_VERBOSE_MAKEFILE to OFF
    - Add lessBuildVerbosity.patch to add --silent option to
      generatorrunner.
    Closes: #586305

 -- Didier Raboud <didier@raboud.com>  Fri, 18 Jun 2010 09:22:05 +0200

pyside (0.3.2-1) unstable; urgency=low

  * New 0.3.2 upstream release
    - Bump B-D on generatorrunner and shiboken
    - Update symbols

  * Patches:
    - Remove all upstream patches that got merged upstream:
      u_fixConvenienceSymlinks_792456c.patch
      u_fixDebugPostfix_d9b1898.patch
      u_fixLinking_4326368.patch
      u_fixtestQtWebkitTest_17d9eed.patch
    × Refresh the others

  * Blacklist some failing tests (reported upstream).
  * Don't run the tests for the debug flavour (they fail).  
  * Override lintian warnings for the -dbg package.

 -- Didier Raboud <didier@raboud.com>  Wed, 16 Jun 2010 11:36:59 +0200

pyside (0.3.1-2) unstable; urgency=low

  * Testsuite:
    - Blacklist qtnetwork_udpsocket that fails on the buildds

  * Patches:
    - Import those that got merged upstream
      × fix_Linking.patch
        -> u_fixLinking_4326368.patch
      × fixDebugPostfix.patch
        -> u_fixConvenienceSymlinks_792456c.patch
        -> u_fixDebugPostfix_d9b1898.patch
    - Fix the qtwebkit tests by importing
      + u_fixtestQtWebkitTest_17d9eed.patch from upstream

 -- Didier Raboud <didier@raboud.com>  Sat, 29 May 2010 15:00:37 +0200
